import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { CategoryTooltipLayerPosition } from "./CategoryTooltipLayerPosition";
import { Type, Point } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Series } from "./Series";
import { Frame } from "./Frame";
import { DataContext } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CategoryToolTipLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    protected pf: CategoryToolTipLayerView;
    protected get_c2(): boolean;
    pd: Axis;
    ph: boolean;
    pe: CategoryTooltipLayerPosition;
    protected kp(a: any, b: string, c: any, d: any): void;
    protected ot(a: Axis, b: boolean): void;
    protected ou(a: Series, b: boolean): void;
    protected ow(a: Frame, b: SeriesView): void;
    private pg;
    j1(): void;
    private pm;
    private pi;
    protected oz(a: Frame, b: SeriesView): void;
    protected dp(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CategoryToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CategoryToolTipLayer);
    protected b4: CategoryToolTipLayer;
    private b5;
    private _tooltips;
    private b8;
    private b6;
    ca(): any;
    as(): void;
    aj(): void;
    private _htmlTest;
    protected htmlTest: any;
    b7(a: Series, b: any, c: DataContext): boolean;
    ch(a: any): Size;
    cg(a: Point): Point;
    ce(a: any, b: number, c: number, d: number, e: number): void;
    ci(): Size;
    cd(a: any): void;
    cc(): void;
    cf(): void;
    protected a6(a: RenderingContext, b: boolean): void;
    al(a: any): void;
}
